Subject: bug#1504 closed by Chong Yidong <[email-masked]> (Re: 23.0.60; emacs daemon leaks memory)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#1504: 23.0.60; emacs daemon leaks memory

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
1504: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1504
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Thu Dec 11 18:32:07 2008
From: Chong Yidong <[email-masked]>
To: Markus Triska <[email-masked]>
Cc: [email-masked]
Subject: Re: 23.0.60; emacs daemon leaks memory
Date: Thu, 11 Dec 2008 15:50:13 -0500

Aha: Emacs wasn't freeing the frame face cache on tty frames.  Fixed.

This, plus a couple of other leaks in term.c that I fixed earlier this
week, accounts for about 95% of the leakage you reported.

There remains a smaller leak occurring in Lisp: see

http://lists.gnu.org/archive/html/emacs-devel/2008-12/msg00443.html

I'll continue looking into that, but it's less urgent because that leak
is much, much slower.  In the meantime, I'm closing the bug.  Thanks for
reporting.

>From [email-masked] Sat Dec  6 03:20:30 2008
From: Markus Triska <[email-masked]>
To: [email-masked]
Subject: 23.0.60; emacs daemon leaks memory
Date: Sat,  6 Dec 2008 12:20:09 +0100 (CET)

When I do:

   $ emacs -Q --daemon

followed by:

   $ while true; do emacsclient -t -e "(save-buffers-kill-terminal)"; done

then the daemon apparently consumes increasingly more memory.

In GNU Emacs 23.0.60.9 (i386-apple-darwin8.11.1, GTK+ Version 2.12.9)
 of 2008-11-28 on mt-computer.local
Windowing system distributor `The XFree86 Project, Inc', version 11.0.40400000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_GB.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default-enable-multibyte-characters: t